# Building for MacOS

- Install brew
- Install Packages from: http://s.sudre.free.fr/Software/Packages/about.html
- Install Sparkle framework from: https://sparkle-project.org/

Install brew software (only once) or run `prepare.sh`:

- `brew install qt`
- `brew install openssl@1.1`
- `brew install qtkeychain`
- `brew install cmake`

Make sure you have the right MacOS SDK version installed (we currently use 10.12), which can be downloaded here:  https://github.com/phracker/MacOSX-SDKs

Prepare building by checking out the right client version:

- Run `./clone.sh`

Start the build:

- Set other env variables you might want to override defined in `build.sh`.
- Run `macos/build.sh`

Sign the build and create the packages:

- Place the sparkle private key in the macos directory:
  - `cp /path/to/key macos/dsa_priv.key`
- Sign the application and create an installer by running:
  -  `macos/sign.sh <APP_CERT> <INSTALL_CERT> <USERNAME-FOR-NOTARIZING>`
  -  For TransIP:
  -  `macos/sign.sh "556A361FBA12597B46479FA618DCD9FFA7A46E3E" "F92D32660A431BD2473C086EF6506C4B2DEBB9BA" "pvansanten@transip.nl"`
- Now you will have to wait for the Apple notarization process to complete (you will receive an email from Apple when it does).
- After it completes successfully, run `macos/finish.sh`.
- The binaries are now ready for distribution in the `mac-install` directory.
