//
//  Generated by OWNBRANDER on Mon, 25 Apr 2016 15:49:22 +0000
//

#ifndef TRANSIP_THEME_H
#define TRANSIP_THEME_H

#include "theme.h"

#include <QString>
#include <QDebug>
#include <QPixmap>
#include <QIcon>
#include <QApplication>


// Main theme file: client/src/libsync/theme.cpp

namespace OCC {

class TransipTheme : public Theme
{
public:
    TransipTheme() {};
    QString configFileName() const { return QLatin1String("stack.cfg"); }
    QIcon   applicationIcon() const { return themeIcon( QLatin1String("stack-icon") ); }
    QString defaultServerFolder() const { return  QString::fromUtf8("/"); }
    //QString overrideServerUrl() const { return QLatin1String(""); }
    QString helpUrl() const { return QLatin1String("https://www.transip.nl/support"); }
    bool singleSyncFolder() const { return false; }
    bool multiAccount() const { return true; }

    // https://github.com/owncloud/client/blob/02283fc68679906009e3a81b8be633bdcf35f2c9/src/libsync/theme.h#L252
    bool linkSharing() const { return false; }
    bool userGroupSharing() const { return false; }

    /**
     * Default option for the newBigFolderSizeLimit.
     * Size in MB of the maximum size of folder before we ask the confirmation.
     * Set -1 to never ask confirmation.  0 to ask confirmation for every folder.
     **/
    qint64 newBigFolderSizeLimit() const { return 2048; }

//    QString about() const { return tr("<p>Version %1 For more information please visit <a href='%2'>%3</a>.</p>") .arg(MIRALL_VERSION_STRING).arg("http://" MIRALL_STRINGIFY(APPLICATION_DOMAIN)) .arg(MIRALL_STRINGIFY(APPLICATION_DOMAIN)); }};

    QString about() const {
            QString re;
            re = tr("<p>Versie %1. Zie <a href='%2'>%3</a> voor meer informatie.</p>")
                    .arg(MIRALL_VERSION_STRING).arg("https://" MIRALL_STRINGIFY(APPLICATION_DOMAIN))
                    .arg(MIRALL_STRINGIFY(APPLICATION_DOMAIN));

            re += tr("<p>Deze release word je aangeboden door TransIP B.V.</p>");

            re += tr("%2 en het %2 Logo zijn geregistreerde handelsmerken van %1 in de "
                 "Europese Unie, andere landen, of allebei.</p>")
                .arg(APPLICATION_VENDOR).arg(APPLICATION_NAME);

            return re;
    }
};

} // namespace mirall

#endif // transip_THEME_H
